#include<fstream>
#include<cmath>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
int lcm(int a,int b)
{
	return a*b/gcd(a,b);
}
int main()
{
	ifstream f1("UCBC.INP");
	int n;
	f1>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
	} 
	int s=a[0];
	for(int u=0;u<n;u++)
	{
		s=gcd(s,a[u]);
	}
	long long p=a[0];
	for(int v=0;v<n;v++)
	{
		p=lcm(p,a[v]);
	}
	ofstream f2("UCBC.OUT");
	f2<<s<<endl<<p;
	f1.close();
	f2.close();
	return 0;
}
